"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log = require("./log");
const mqtt = require("./mqttdispatcher");
const EspThermToJson = require("./espthermtojson");
const MongoSave = require("./mongosave");
log.info("Dispatcher starting");
let dispatcher = new mqtt.MqttDispatcher("mqtts://broker.hottis.de:8883", "wn", "locutus", "/home/wn/server-ca.crt");
dispatcher.register('IoT/espThermometer2/#', 'toJson', EspThermToJson.espThermToJson);
let mongo = new MongoSave.MongoSave();
dispatcher.register('IoT/espThermometer2/#', 'MongoSave', mongo);
// plugintest1.pluginTest1Start(dispatcher)
dispatcher.exec();
log.info("Dispatcher running");
//# sourceMappingURL=main.js.map